petsc-3.12.4 2020-02-04
Report Typos and Errors

# TaoGetGradientNorm

Returns the matrix used to define the inner product for measuring the size of the gradient.

### Synopsis

    #include "petsctao.h"
    PetscErrorCode  TaoGetGradientNorm(Tao tao, Mat *M)

Not Collective

### Input Parameter

tao -Tao context

### Output Parameter

M -gradient norm

### See Also

TaoSetGradientNorm(), TaoGradientNorm()

### Level

beginner

### Location

src/tao/interface/taosolver.c
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages